PojoBean (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.validator
Class PojoBean

    java.lang.Object
      org.apache.struts.validator.PojoBean

    public class PojoBean

extends Object

Test Bean class.

Field Summary
`protected PojoBean[]` | `beans`
`protected Integer` | `integerValue1`
`protected Integer` | `integerValue2`
`protected int` | `intValue1`
`protected int` | `intValue2`
`protected Map` | `map`
`protected String` | `stringValue1`
`protected String` | `stringValue2`

Constructor Summary
`PojoBean()` Default Constructor
`PojoBean(int intValue1, int intValue2)` Construct Bean with a pair of integer values.
`PojoBean(String stringValue1, String stringValue2)` Construct Bean with a pair of String values.

Method Summary
`PojoBean` | `getBean(int index)` Return and indexed Bean
`PojoBean[]` | `getBeans()` Return PojoBean[].
`Integer` | `getIntegerValue1()` Return integerValue1.
`Integer` | `getIntegerValue2()` Return integerValue2.
`int` | `getIntValue1()` Return intValue1.
`int` | `getIntValue2()` Return intValue2.
`Object` | `getMap()` Return the Map
`Object` | `getMapped(String key)` Set a Mapped property
`String` | `getStringValue1()` Return stringValue1.
`String` | `getStringValue2()` Return stringValue2.
`void` | `setBeans(PojoBean[] beans)` Set the PojoBean[].
`void` | `setIntegerValue1(Integer integerValue1)` Set the integerValue1.
`void` | `setIntegerValue2(Integer integerValue2)` Set the integerValue2.
`void` | `setIntValue1(int intValue1)` Set the intValue1.
`void` | `setIntValue2(int intValue2)` Set the intValue2.
`void` | `setMap(Map map)` Return the Map
`void` | `setMapped(String key, Object value)` Set a Mapped property
`void` | `setStringValue1(String stringValue1)` Set the stringValue1.
`void` | `setStringValue2(String stringValue2)` Set the stringValue2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stringValue1

    protected String stringValue1

### stringValue2

    protected String stringValue2

### intValue1

    protected int intValue1

### intValue2

    protected int intValue2

### integerValue1

    protected Integer integerValue1

### integerValue2

    protected Integer integerValue2

### beans

    protected PojoBean[] beans

### map

    protected Map map

Constructor Detail

### PojoBean

    public PojoBean()

  Default Constructor

### PojoBean

    public PojoBean(String stringValue1,
                    String stringValue2)

  Construct Bean with a pair of String values.

### PojoBean

    public PojoBean(int intValue1,
                    int intValue2)

  Construct Bean with a pair of integer values.

Method Detail

### setStringValue1

    public void setStringValue1(String stringValue1)

  Set the stringValue1.

### getStringValue1

    public String getStringValue1()

  Return stringValue1.

### setStringValue2

    public void setStringValue2(String stringValue2)

  Set the stringValue2.

### getStringValue2

    public String getStringValue2()

  Return stringValue2.

### setIntValue1

    public void setIntValue1(int intValue1)

  Set the intValue1.

### getIntValue1

    public int getIntValue1()

  Return intValue1.

### setIntValue2

    public void setIntValue2(int intValue2)

  Set the intValue2.

### getIntValue2

    public int getIntValue2()

  Return intValue2.

### setIntegerValue1

    public void setIntegerValue1(Integer integerValue1)

  Set the integerValue1.

### getIntegerValue1

    public Integer getIntegerValue1()

  Return integerValue1.

### setIntegerValue2

    public void setIntegerValue2(Integer integerValue2)

  Set the integerValue2.

### getIntegerValue2

    public Integer getIntegerValue2()

  Return integerValue2.

### setBeans

    public void setBeans(PojoBean[] beans)

  Set the PojoBean[].

### getBeans

    public PojoBean[] getBeans()

  Return PojoBean[].

### getBean

    public PojoBean getBean(int index)

  Return and indexed Bean

### getMap

    public Object getMap()

  Return the Map

### setMap

    public void setMap(Map map)

  Return the Map

### setMapped

    public void setMapped(String key,
                          Object value)

  Set a Mapped property

### getMapped

    public Object getMapped(String key)

  Set a Mapped property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.